FlexCAN_T4 works on Teensy 3.2, 3.5, 3.6, and 4.0
You can also use IFCT for Teensy 3.x